#-------------------------------------------------
#
# Project created by QtCreator 2018-06-20T09:12:54
#
#-------------------------------------------------

QT      += widgets core gui network dbus bluetooth

TARGET   = cprime
TEMPLATE = lib

VERSION  = 2.7.0

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES     += LIBCPRIME_LIBRARY

INCLUDEPATH += ./cprime/ cprime/btfiletransfer/
DEPENDPATH  += ./cprime/ cprime/btfiletransfer/

# Build section
MOC_DIR			= build/moc
OBJECTS_DIR		= build/obj
RCC_DIR			= build/qrc
UI_DIR			= build/uic

QMAKE_CXXFLAGS += -std=c++11 -O3

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }

        # Must needed
        RESOURCE_FOLDER   = $$PREFIX/share/coreapps
        THEME_FOLDER      = $$RESOURCE_FOLDER/resource
        CONFIG_FOLDER     = $$THEME_FOLDER
        DEFINES          += COREAPPS_CONFIG_FOLDER=\"\\\"$${CONFIG_FOLDER}\\\"\"
        DEFINES          += COREAPPS_THEME_FOLDER=\"\\\"$${THEME_FOLDER}\\\"\"

        INSTALLS	 += target includes themefiles datafiles
        CONFIG		 += create_pc create_prl link_pkgconfig no_install_prl
        contains(DEFINES, LIB64): target.path = $$INSTALL_PREFIX/lib64
        else: target.path = $$INSTALL_PREFIX/lib

        target.path	  = $$PREFIX/lib/

        includes.files    = cprime/*.h libcprime_global.h cprime/application/capplication.h cprime/btfiletransfer/*.h
        includes.path     = $$PREFIX/include/cprime/

        themefiles.path   = $$THEME_FOLDER
        themefiles.files  = resource/*.qss

        datafiles.path    = $$CONFIG_FOLDER
        datafiles.files   = resource/coreapps.conf

        QMAKE_PKGCONFIG_FILE        = cprime
        QMAKE_PKGCONFIG_NAME        = libcprime
        QMAKE_PKGCONFIG_DESCRIPTION = Library for bookmarking, saving recent activites, managing settings of CoreApps.
        QMAKE_PKGCONFIG_PREFIX      = $$INSTALL_PREFIX
        QMAKE_PKGCONFIG_LIBDIR      = $$target.path
        QMAKE_PKGCONFIG_INCDIR      = $$includes.path
        QMAKE_PKGCONFIG_VERSION     = $$VERSION
        QMAKE_PKGCONFIG_DESTDIR     = pkgconfig # Destination Directory where pkgconfig installed
}


FORMS += \
    cprime/pinit.ui \
    cprime/shareit.ui \
    cprime/btfiletransfer/pindisplay.ui \
    cprime/btfiletransfer/progress.ui \
    cprime/btfiletransfer/remoteselector.ui

HEADERS += \
    cprime/settingsmanage.h \
    cprime/applicationdialog.h \
    cprime/desktopfile.h \
    cprime/properties.h \
    cprime/shareit.h \
    libcprime_global.h \
    cprime/mimeutils.h \
    cprime/stringfunc.h \
    cprime/cprime.h \
    cprime/themefunc.h \
    cprime/sortfunc.h \
    cprime/validityfunc.h \
    cprime/appopenfunc.h \
    cprime/infofunc.h \
    cprime/filefunc.h \
    cprime/trashmanager.h \
    cprime/cenums.h \
    cprime/cvariables.h \
    cprime/filepathvalidate.h \
    cprime/pinit.h \
    cprime/pinmanage.h \
    cprime/ioprocesses.h \
    cprime/cplugininterface.h \
    cprime/application/capplication.h \
    cprime/application/qtlocalpeer.h \
    cprime/application/qtlockedfile.h \
    cprime/systemnotification.h \
    cprime/orgfreedesktopnotificationsinterface.h \
    cprime/btfiletransfer/pindisplay.h \
    cprime/btfiletransfer/progress.h \
    cprime/btfiletransfer/remoteselector.h

SOURCES += \
    cprime/settingsmanage.cpp \
    cprime/applicationdialog.cpp \
    cprime/desktopfile.cpp \
    cprime/properties.cpp \
    cprime/mimeutils.cpp \
    cprime/shareit.cpp \
    cprime/stringfunc.cpp \
    cprime/themefunc.cpp \
    cprime/sortfunc.cpp \
    cprime/validityfunc.cpp \
    cprime/appopenfunc.cpp \
    cprime/infofunc.cpp \
    cprime/filefunc.cpp \
    cprime/trashmanager.cpp \
    cprime/cvariables.cpp \
    cprime/filepathvalidate.cpp \
    cprime/pinit.cpp \
    cprime/pinmanage.cpp \
    cprime/ioprocesses.cpp \
    cprime/application/capplication.cpp \
    cprime/application/qtlocalpeer.cpp \
    cprime/systemnotification.cpp \
    cprime/orgfreedesktopnotificationsinterface.cpp \
    cprime/btfiletransfer/pindisplay.cpp \
    cprime/btfiletransfer/progress.cpp \
    cprime/btfiletransfer/remoteselector.cpp


RESOURCES += \
    resource.qrc
